const leagacyCopy = (text: string) => {
  const input = document.createElement("input");
  input.value = text;
  document.body.appendChild(input);
  input.select();
  try {
    document.execCommand("copy");
  } catch (err) {
    console.error(err);
  }
  document.body.removeChild(input);
};

export const copy = (text: string) => {
  if (navigator.clipboard && navigator.clipboard.writeText) {
    navigator.clipboard.writeText(text).catch((err) => {
      console.error(err);
      leagacyCopy(text); // 如果现代API失败，使用旧方法
    });
  } else {
    leagacyCopy(text); // 如果没有现代API，使用旧方法
  }
};
